### Method

# EvinceDocument Document synctex_forward_search

#### Declaration [src]

    EvMapping*
    ev_document_synctex_forward_search (
      EvDocument* document,
      EvSourceLink* source_link
    )

#### Description [src]

Peforms a Synctex forward search to obtain the area in the document corresponding to the position (line and column in `source_link`) in the source Tex file.

This method is not directly available to language bindings.

#### Parameters

`source_link`

  Type: `EvSourceLink`

  A `EvSourceLink`.

  The data is owned by the caller of the method.

#### Return value

Type: `EvMapping`

An EvMapping with the page number and area corresponding to the given line in the source file. It must be free with g_free when done.

The returned data is owned by the instance.